Bug 64181 - MAINTAINER-UPDATE: pflogstats to 1.0.1
Summary: MAINTAINER-UPDATE: pflogstats to 1.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-12 21:50 UTC by Andrew J. Caines
Modified: 2004-05-14 16:30 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.36 KB, patch)
2004-03-12 21:50 UTC, Andrew J. Caines
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew J. Caines 2004-03-12 21:50:12 UTC

Update pflogstats Postfix log file parsing reporter fom 1.0.0 to 1.0.1

Not that this depends on a new version of p5-XML-Dumper not yet in ports. I'll file a PR for that separately.
Comment 1 Andrew J. Caines 2004-03-12 22:08:54 UTC
PR for XML::Dumper has been filed as ports/64182: NON-MAINTANER-UPDATE:
p5-XML-Dumper 0.4 to 0.71.

http://www.freebsd.org/cgi/query-pr.cgi?pr=64182


-Andrew-
-- 
 _______________________________________________________________________
| -Andrew J. Caines-   Unix Systems Engineer   A.J.Caines@halplant.com  |
| "They that can give up essential liberty to obtain a little temporary |
|  safety deserve neither liberty nor safety" - Benjamin Franklin, 1759 |
Comment 2 Andrew J. Caines 2004-03-22 15:15:00 UTC
Didn't mean to take out PORTEPOCH. Corrected patch follows.


----8<----
diff -ruN pflogstats-1.0.0/Makefile pflogstats/Makefile
--- pflogstats-1.0.0/Makefile	Mon Feb 23 11:22:00 2004
+++ pflogstats/Makefile	Mon Mar 22 10:03:53 2004
@@ -6,10 +6,10 @@
 #
 
 PORTNAME=	pflogstats
-PORTVERSION=	1.0.0
+PORTVERSION=	1.0.1
 PORTEPOCH=	1
 CATEGORIES=	mail
-MASTER_SITES=	ftp://ftp.aerasec.de/pub/linux/postfix/pflogsumm/pflogstats/
+MASTER_SITES=	ftp://ftp.aerasec.de/pub/linux/postfix/pflogsumm/${PORTNAME}/
 
 MAINTAINER=	A.J.Caines@halplant.com
 COMMENT=	Postfix Log Statistics Reporter
@@ -17,7 +17,8 @@
 RUN_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Date/Calc.pm:${PORTSDIR}/devel/p5-Date-Calc \
 		${SITE_PERL}/Net/IP.pm:${PORTSDIR}/net-mgmt/p5-Net-IP \
 		${SITE_PERL}/${PERL_ARCH}/Proc/ProcessTable.pm:${PORTSDIR}/devel/p5-Proc-ProcessTable \
-		${SITE_PERL}/Number/Format.pm:${PORTSDIR}/textproc/p5-Number-Format
+		${SITE_PERL}/Number/Format.pm:${PORTSDIR}/textproc/p5-Number-Format \
+		${SITE_PERL}/XML/Dumper.pm:${PORTSDIR}/textproc/p5-XML-Dumper
 
 NO_BUILD=	yes
 USE_PERL5=	yes
@@ -29,8 +30,8 @@
 
 do-install:
 	${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME}.pl  ${PREFIX}/bin/${PORTNAME}
-	@${MKDIR} ${PREFIX}/lib/perl5/site_perl/${PERL_VER}/Pflogstats
-	${INSTALL_DATA} ${WRKSRC}/pflogstats-*.pm ${PREFIX}/lib/perl5/site_perl/${PERL_VER}/Pflogstats
+	@${MKDIR} ${SITE_PERL}/Pflogstats
+	${INSTALL_DATA} ${WRKSRC}/pflogstats-*.pm ${SITE_PERL}/Pflogstats
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
 .for i in README INSTALL ChangeLog BUGS TODO LICENSE CREDITS
diff -ruN pflogstats-1.0.0/distinfo pflogstats/distinfo
--- pflogstats-1.0.0/distinfo	Wed Oct 15 16:30:23 2003
+++ pflogstats/distinfo	Mon Mar 22 10:03:31 2004
@@ -1 +1,2 @@
-MD5 (pflogstats-1.0.0.tar.gz) = fdf3311139293e766011d6a9fec9e9eb
+MD5 (pflogstats-1.0.1.tar.gz) = d0397e1e81264b2c200f4b5754df6304
+SIZE (pflogstats-1.0.1.tar.gz) = 60438
diff -ruN pflogstats-1.0.0/pkg-plist pflogstats/pkg-plist
--- pflogstats-1.0.0/pkg-plist	Wed Oct 15 16:30:23 2003
+++ pflogstats/pkg-plist	Mon Mar 22 10:03:31 2004
@@ -1,4 +1,5 @@
 bin/pflogstats
+%%SITE_PERL%%/Pflogstats/pflogstats-common-intermediatexml.pm
 %%SITE_PERL%%/Pflogstats/pflogstats-common-profiling.pm
 %%SITE_PERL%%/Pflogstats/pflogstats-common-support.pm
 %%SITE_PERL%%/Pflogstats/pflogstats-extensions-addressmapping.pm
----8<----


-Andrew-
-- 
 _______________________________________________________________________
| -Andrew J. Caines-   Unix Systems Engineer   A.J.Caines@halplant.com  |
| "They that can give up essential liberty to obtain a little temporary |
|  safety deserve neither liberty nor safety" - Benjamin Franklin, 1759 |
Comment 3 Mathieu Arnold freebsd_committer 2004-05-12 16:29:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mat

take
Comment 4 Mathieu Arnold freebsd_committer 2004-05-14 16:30:37 UTC
State Changed
From-To: open->closed

Committed, thanks 
I added a small patch to make it PREFIX clean